ros-foxy-rcl-yaml-param-parser (1.1.14-1focal) focal; urgency=high



 -- Anup Pemmaiah <anup.pemmaiah@apex.ai>  Mon, 25 Jul 2022 07:00:00 -0000

ros-foxy-rcl-yaml-param-parser (1.1.13-1focal) focal; urgency=high



 -- Anup Pemmaiah <anup.pemmaiah@apex.ai>  Fri, 04 Feb 2022 08:00:00 -0000

ros-foxy-rcl-yaml-param-parser (1.1.12-1focal) focal; urgency=high



 -- Anup Pemmaiah <anup.pemmaiah@apex.ai>  Mon, 31 Jan 2022 08:00:00 -0000

ros-foxy-rcl-yaml-param-parser (1.1.11-1focal) focal; urgency=high

  * Update quality declaration links (re: ros2/docs.ros2.org#52 <https://github.com/ros2/docs.ros2.org/issues/52>) (#910 <https://github.com/ros2/rcl/issues/910>)
  * Contributors: Simon Honigmann

 -- Anup Pemmaiah <anup.pemmaiah@apex.ai>  Wed, 14 Apr 2021 07:00:00 -0000

ros-foxy-rcl-yaml-param-parser (1.1.10-1focal) focal; urgency=high

  * Update build.ros2.org links (#868 <https://github.com/ros2/rcl/issues/868>)
  * Update QD to QL 1 (#867 <https://github.com/ros2/rcl/issues/867>)
  * Update QD (#843 <https://github.com/ros2/rcl/issues/843>)
  * Contributors: Alejandro Hernández Cordero, Christophe Bedard, Jorge Perez, Stephen Brawner

 -- Anup Pemmaiah <anup.pemmaiah@apex.ai>  Wed, 09 Dec 2020 08:00:00 -0000

ros-foxy-rcl-yaml-param-parser (1.1.9-1focal) focal; urgency=high

  * Add mocking unit tests for rcl_yaml_param_parser (coverage part 3/3) (#772 <https://github.com/ros2/rcl/issues/772>)
  * Add fault-injection unit tests (coverage part 2/3) (#766 <https://github.com/ros2/rcl/issues/766>)
  * Add basic unit tests for refactored functions in rcl_yaml_param_parser (coverage part 1/3) (#771 <https://github.com/ros2/rcl/issues/771>)
  * Fix mem leaks in unit test from 776 (#779 <https://github.com/ros2/rcl/issues/779>)
  * remove debugging statements. (#755 <https://github.com/ros2/rcl/issues/755>)
  * Removed variant benchmark
  * Several memory-related fixes for rcl_variant_t benchmarks (#813 <https://github.com/ros2/rcl/issues/813>)
  * Improved rcl_yaml_param_parser benchmark test (#810 <https://github.com/ros2/rcl/issues/810>)
  * Added benchmark test to rcl_yaml_param_parser (#803 <https://github.com/ros2/rcl/issues/803>)
  * Contributors: Alejandro Hernández Cordero, Scott K Logan, ahcorde, brawner, tomoya

 -- Anup Pemmaiah <anup.pemmaiah@apex.ai>  Tue, 03 Nov 2020 08:00:00 -0000

ros-foxy-rcl-yaml-param-parser (1.1.8-1focal) focal; urgency=high

  * Fix yaml parser error when meets .nan (refactor on #754 <https://github.com/ros2/rcl/issues/754>) (#781 <https://github.com/ros2/rcl/issues/781>) (#785 <https://github.com/ros2/rcl/issues/785>)
  * Refactor parser.c for better testability (#754 <https://github.com/ros2/rcl/issues/754>) (#784 <https://github.com/ros2/rcl/issues/784>)
  * Don't overwrite cur_ns pointer if reallocation fails (#780 <https://github.com/ros2/rcl/issues/780>) (#783 <https://github.com/ros2/rcl/issues/783>)
  * Set yaml_variant values to NULL on finalization (#765 <https://github.com/ros2/rcl/issues/765>) (#782 <https://github.com/ros2/rcl/issues/782>)
  * Fix rcl_parse_yaml_file() error handling (#776 <https://github.com/ros2/rcl/issues/776>) (#786 <https://github.com/ros2/rcl/issues/786>)
  * Contributors: Michel Hidalgo, Stephen Brawner

 -- Anup Pemmaiah <anup.pemmaiah@apex.ai>  Wed, 07 Oct 2020 07:00:00 -0000

ros-foxy-rcl-yaml-param-parser (1.1.7-1focal) focal; urgency=high

  * Removed doxygen warnings (#712 <https://github.com/ros2/rcl/issues/712>) (#724 <https://github.com/ros2/rcl/issues/724>)
  * Contributors: Alejandro Hernández Cordero

 -- Anup Pemmaiah <anup.pemmaiah@apex.ai>  Mon, 03 Aug 2020 07:00:00 -0000

ros-foxy-rcl-yaml-param-parser (1.1.6-1focal) focal; urgency=high



 -- Anup Pemmaiah <anup.pemmaiah@apex.ai>  Tue, 07 Jul 2020 07:00:00 -0000

ros-foxy-rcl-yaml-param-parser (1.1.5-1focal) focal; urgency=high



 -- Anup Pemmaiah <anup.pemmaiah@apex.ai>  Wed, 03 Jun 2020 07:00:00 -0000

ros-foxy-rcl-yaml-param-parser (1.1.4-1focal) focal; urgency=high



 -- Anup Pemmaiah <anup.pemmaiah@apex.ai>  Tue, 02 Jun 2020 07:00:00 -0000

ros-foxy-rcl-yaml-param-parser (1.1.3-1focal) focal; urgency=high

  * Add Security Vulnerability Policy pointing to REP-2006 (#661 <https://github.com/ros2/rcl/issues/661>)
  * Contributors: Chris Lalancette

 -- Anup Pemmaiah <anup.pemmaiah@apex.ai>  Mon, 01 Jun 2020 07:00:00 -0000

ros-foxy-rcl-yaml-param-parser (1.1.2-1focal) focal; urgency=high



 -- Anup Pemmaiah <anup.pemmaiah@apex.ai>  Thu, 28 May 2020 07:00:00 -0000

ros-foxy-rcl-yaml-param-parser (1.1.1-1focal) focal; urgency=high

  * Increase rcl_yaml_param_parser test coverage (#656 <https://github.com/ros2/rcl/issues/656>)
  * Contributors: Stephen Brawner

 -- Anup Pemmaiah <anup.pemmaiah@apex.ai>  Tue, 26 May 2020 07:00:00 -0000

ros-foxy-rcl-yaml-param-parser (1.1.0-1focal) focal; urgency=high

  * Update Quality Declaration for 1.0 (#647 <https://github.com/ros2/rcl/issues/647>)
  * Contributors: brawner

 -- Anup Pemmaiah <anup.pemmaiah@apex.ai>  Fri, 22 May 2020 07:00:00 -0000

ros-foxy-rcl-yaml-param-parser (1.0.0-1focal) focal; urgency=high



 -- Anup Pemmaiah <anup.pemmaiah@apex.ai>  Tue, 12 May 2020 07:00:00 -0000

ros-foxy-rcl-yaml-param-parser (0.9.1-1focal) focal; urgency=high

  * Included features (#644 <https://github.com/ros2/rcl/issues/644>)
  * Quality Declarations for rcl_action, rcl_lifecycle, yaml_parser (#641 <https://github.com/ros2/rcl/issues/641>)
  * Contributors: Alejandro Hernández Cordero, brawner

 -- Anup Pemmaiah <anup.pemmaiah@apex.ai>  Fri, 08 May 2020 07:00:00 -0000

ros-foxy-rcl-yaml-param-parser (0.9.0-1focal) focal; urgency=high

  * Added rcl yaml param parser doxyfile (#634 <https://github.com/ros2/rcl/issues/634>)
  * Fixed rcl_yaml_param_parser package description (#637 <https://github.com/ros2/rcl/issues/637>)
  * Fix usage to not expose underlying yaml (#630 <https://github.com/ros2/rcl/issues/630>)
  * Export targets in a addition to include directories / libraries (#621 <https://github.com/ros2/rcl/issues/621>)
  * Remove usage of undefined CMake variable (#620 <https://github.com/ros2/rcl/issues/620>)
  * Fix memory leaks (#564 <https://github.com/ros2/rcl/issues/564>)
  * Code style only: wrap after open parenthesis if not in one line (#565 <https://github.com/ros2/rcl/issues/565>)
  * Contributors: Alejandro Hernández Cordero, Dirk Thomas, y-okumura-isp

 -- Anup Pemmaiah <anup.pemmaiah@apex.ai>  Wed, 29 Apr 2020 07:00:00 -0000

ros-foxy-rcl-yaml-param-parser (0.8.3-1focal) focal; urgency=high



 -- Anup Pemmaiah <anup.pemmaiah@apex.ai>  Fri, 08 Nov 2019 08:00:00 -0000

ros-foxy-rcl-yaml-param-parser (0.8.2-1focal) focal; urgency=high

  * Specify test working directory (#529 <https://github.com/ros2/rcl/issues/529>)
  * Remove the maximum string size. (#524 <https://github.com/ros2/rcl/issues/524>)
  * Contributors: Chris Lalancette, Dan Rose

 -- Anup Pemmaiah <anup.pemmaiah@apex.ai>  Wed, 23 Oct 2019 07:00:00 -0000

ros-foxy-rcl-yaml-param-parser (0.8.1-1focal) focal; urgency=high



 -- Anup Pemmaiah <anup.pemmaiah@apex.ai>  Tue, 08 Oct 2019 07:00:00 -0000

ros-foxy-rcl-yaml-param-parser (0.8.0-1focal) focal; urgency=high

  * Enable incremental parameter yaml file parsing. (#507 <https://github.com/ros2/rcl/issues/507>)
  * Support parameter overrides and remap rules flags on command line (#483 <https://github.com/ros2/rcl/issues/483>)
  * Increase MAX_STRING_SIZE (#487 <https://github.com/ros2/rcl/issues/487>)
  * include actual size in error message (#490 <https://github.com/ros2/rcl/issues/490>)
  * Avoid C4703 error on UWP (#282 <https://github.com/ros2/rcl/issues/282>)
  * [YAML Parser] Support parameter value parsing (#471 <https://github.com/ros2/rcl/issues/471>)
  * [YAML Parser] Depend on rcutils only (#470 <https://github.com/ros2/rcl/issues/470>)
  * Accept quoted int or float values as strings (#464 <https://github.com/ros2/rcl/issues/464>)
  * Fix memory corruption when maximum number of parameters is exceeded (#456 <https://github.com/ros2/rcl/issues/456>)
  * Contributors: Dirk Thomas, Esteve Fernandez, Jacob Perron, Michel Hidalgo, hyunseok-yang, ivanpauno

 -- Anup Pemmaiah <anup.pemmaiah@apex.ai>  Thu, 26 Sep 2019 07:00:00 -0000

ros-foxy-rcl-yaml-param-parser (0.7.4-1focal) focal; urgency=high

  * Allow empty strings if they are quoted. (#450 <https://github.com/ros2/rcl/issues/450>)
  * Contributors: Ralf Anton Beier

 -- Anup Pemmaiah <anup.pemmaiah@apex.ai>  Wed, 29 May 2019 07:00:00 -0000

ros-foxy-rcl-yaml-param-parser (0.7.3-1focal) focal; urgency=high



 -- Anup Pemmaiah <anup.pemmaiah@apex.ai>  Mon, 20 May 2019 07:00:00 -0000

ros-foxy-rcl-yaml-param-parser (0.7.2-1focal) focal; urgency=high



 -- Anup Pemmaiah <anup.pemmaiah@apex.ai>  Wed, 08 May 2019 07:00:00 -0000

ros-foxy-rcl-yaml-param-parser (0.7.1-1focal) focal; urgency=high



 -- Anup Pemmaiah <anup.pemmaiah@apex.ai>  Mon, 29 Apr 2019 07:00:00 -0000

ros-foxy-rcl-yaml-param-parser (0.7.0-1focal) focal; urgency=high

  * Corrected bool reading from yaml files. (#415 <https://github.com/ros2/rcl/issues/415>)
  * Added launch along with launch_testing as test dependencies. (#393 <https://github.com/ros2/rcl/issues/393>)
  * Set symbol visibility to hidden for rcl. (#391 <https://github.com/ros2/rcl/issues/391>)
  * Contributors: Michel Hidalgo, Sachin Suresh Bhat, ivanpauno

 -- Anup Pemmaiah <anup.pemmaiah@apex.ai>  Sun, 14 Apr 2019 07:00:00 -0000

ros-foxy-rcl-yaml-param-parser (0.6.4-1focal) focal; urgency=high



 -- Anup Pemmaiah <anup.pemmaiah@apex.ai>  Fri, 11 Jan 2019 08:00:00 -0000

ros-foxy-rcl-yaml-param-parser (0.6.3-1focal) focal; urgency=high



 -- Anup Pemmaiah <anup.pemmaiah@apex.ai>  Thu, 13 Dec 2018 08:00:00 -0000

ros-foxy-rcl-yaml-param-parser (0.6.2-1focal) focal; urgency=high



 -- Anup Pemmaiah <anup.pemmaiah@apex.ai>  Thu, 13 Dec 2018 08:00:00 -0000

ros-foxy-rcl-yaml-param-parser (0.6.1-1focal) focal; urgency=high

  * No changes.

 -- Anup Pemmaiah <anup.pemmaiah@apex.ai>  Fri, 07 Dec 2018 08:00:00 -0000

ros-foxy-rcl-yaml-param-parser (0.6.0-1focal) focal; urgency=high

  * Updated to use new error handling API from rcutils (#314 <https://github.com/ros2/rcl/issues/314>)
  * Fixed FQN=//node_name when ns is / (#299 <https://github.com/ros2/rcl/issues/299>)
  * Fixed documentation issues (#288 <https://github.com/ros2/rcl/issues/288>)
  * Fixed to deallocate ret_val to avoid memory leak (#278 <https://github.com/ros2/rcl/issues/278>)
  * Contributors: Chris Ye, William Woodall, dhood

 -- Anup Pemmaiah <anup.pemmaiah@apex.ai>  Fri, 16 Nov 2018 08:00:00 -0000

ros-foxy-rcl-yaml-param-parser (0.5.0-1focal) focal; urgency=high

  * Added functions to parse YAML parameter files. (#235 <https://github.com/ros2/rcl/issues/235>)
  * Contributors: Shane Loretz, William Woodall, anup-pem, dhood

 -- Anup Pemmaiah <anup.pemmaiah@apex.ai>  Mon, 25 Jun 2018 07:00:00 -0000


